/* Suppression des accolades ouvrante et fermante  */
/* pour les blocs de code constitués               */
/* d'une seule instruction                         */

public class ExempleBlocUneInstructionSansAccoladesEnConsole {

///////////////////////////////////////////////////

  /* Fonction d'affichage avec utilisation       */
  /* systématiques des accolades                 */

  static void affichage1() {
    int i;
    int j;
    for ( i = 0 ; i < 3 ; i = i+1 ) {
      for ( j = 0 ; j < 10 ; j = j+1 ) {
        if ( j%2 == 0 ) {
          Console.formater("%3d",i+j); }
          else {
          Console.formater("%3d",i-j); } }
      Console.sautDeLigne(); }
  }

  /* Fonction d'affichage avec suppression       */
  /* des accolades optionnelles                  */

  static void affichage2() {
    int i;
    int j;
    for ( i = 0 ; i < 3 ; i = i+1 ) {
      for ( j = 0 ; j < 10 ; j = j+1 )
        if ( j%2 == 0 )
          Console.formater("%3d",i+j);
          else
          Console.formater("%3d",i-j);
      Console.sautDeLigne(); }
  }

  /* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("ExempleBlocUneInstructionSansAccolades");
    affichage1();
    Console.sautDeLigne();
    affichage2();
  }

///////////////////////////////////////////////////
}